Name: suck
Version: 4.2.0
Release: 1
Summary: suck receives/sends news via NNTP
Copyright: Public Domain
Group: Networking/News
Source: http://home.att.net/~bobyetman/%{name}-%{version}.tar.gz
Source1: suck.log
Patch0: suck-4.0.0-make.diff
Patch1: suck-4.1.2-script.diff
Patch2: suck-4.1.2-config.diff
URL: http://home.att.net/~bobyetman/index.html
Packager: Ian Macdonald <ianmacd@xs4all.nl>
Provides: news-sucker
Requires: inn >= 2.2
BuildRoot: /tmp/%{name}-%{version}

%changelog
* Fri May 14 1999  Ian Macdonald <ianmacd@xs4all.nl>
- upgraded to 4.2.0

* Sat May  1 1999  Ian Macdonald <ianmacd@xs4all.nl>
- altered put.news* scripts to remove certain headers produced by INN 2.2,
  which caused articles to be rejected when posting to remote INN 2.2
- path changes in scripts allowing articles to be rposted
- get.news.generic no longer installed in /var/lib/suck

* Fri Apr 30 1999  Ian Macdonald <ianmacd@xs4all.nl>
- rebuilt for INN 2.2 and Red Hat Linux 6.0

* Sun Apr 25 1999  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 4.1.2
- Patched MAX_MSGID_LEN 256 (from 128) in suck_config.h

* Mon Mar 29 1999  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 4.1.1

* Tue Mar 24 1999  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 4.1.0

* Sun Mar 14 1999  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 4.0.0
- moved everything from /usr/lib to /var/lib
- Perl filter support no longer enabled
- changed scripts to reflect new -HF parameter

* Wed Oct 15 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.10.1

* Wed Oct 7 1998  Ian Macdonald <ianmacd@xs4all.nl>
- compiled in Perl filter support

* Mon Oct 5 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.10.0

* Mon Jul 27 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.4
- Now requires inn < 2.0

* Sat May 23 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.4A

* Fri Apr 24 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.3

* Mon Mar 30 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.2
- Removed reference to README.killfiles (it's gone - a mistake?)

* Wed Mar 4 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.2D

* Mon Mar 2 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.2C

* Sun Feb 22 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.2B
- Split patch into make, script and config patches to ease upgrading

* Sun Feb 15 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Moved the package back to /usr from /usr/local

* Fri Feb 13 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.1

* Fri Feb 6 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.9.0
- Removed '-D_POSIX_SOURCE -D_BSD_SOURCE' from CFLAGS (no longer required)
- Changed 'nocompress' parameter for logrotate to 'delaycompress'
- Virtual package provision changed to 'news-puller'
- Post-uninstall script will now only run on package erasure (not upgrade)

* Thu Jan 15 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 3.8.0
- Changed root for binaries from /usr to /usr/local
- Changed paths in sample scripts to be Red Hat INN compliant
- Added package dependencies
- Added missing doc file README.killfiles
- Changed dir for temp files to /tmp
- Changed dir for suck.errlog to /var/log
- Extended logrotate script to cover suck.killlog
- Removed lpost man page (obsolete)

* Mon Sep 15 1997  Jani Hakala <jahakala@cc.jyu.fi>
- Upgraded to v3.6.0

* Sun Sep 7 1997  Jani Hakala <jahakala@cc.jyu.fi>
- Built against glibc
- Added '-D_POSIX_SOURCE -D_BSD_SOURCE' to CFLAGS because of glibc.
- Can be built as ordinary user.

* Mon Sep 1 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Ugraded package to suck-3.5.2.

* Fri Jun 20 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Ugraded package to suck-3.5.1.

* Sat Jun 7 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Decided to install the sample config files by default as this is
  no problem anymore thanks to Builroot.
- Forgot to kill the .orig files... Fixed!
- Fixed a mistake in the path of the description text below.

* Fri Jun 6 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Buildrooted.
- logrotate support
- Included README.FIRST text.

* Wed Jun 4 1997 Karsten Weiss <karsten@addx.au.s.shuttle.de>
- Created this spec file.

%description
The primary use for suck is to feed a local INN or CNEWS server, without
the remote NNTP feeding you articles.  It is designed for a small, partial
news feed.  It is NOT designed to feed 10,000 groups and 3 Gigs of articles
a day.

%prep
%setup
#%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" \
  ./configure --prefix=$RPM_BUILD_ROOT/usr
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/lib/suck
make install
install -m 644 $RPM_SOURCE_DIR/suck.log \
               $RPM_BUILD_ROOT/etc/logrotate.d/suck
install -m 740 sample/get.news.inn $RPM_BUILD_ROOT/var/lib/suck
install -m 740 sample/put.news $RPM_BUILD_ROOT/var/lib/suck
install -m 644 sample/suckkillfile.sample \
               $RPM_BUILD_ROOT/var/lib/suck/suckkillfile
install -m 644 sample/sucknewsrc.sample \
               $RPM_BUILD_ROOT/var/lib/suck/sucknewsrc

%post 
if [ "$1" = 1 ]; then
  # Create initial log files so that logrotate doesn't complain
  touch /var/log/suck.errlog /var/lib/suck/suck.killlog
  chown news.news /var/log/suck.errlog /var/lib/suck/suck.killlog
  chmod 644 /var/log/suck.errlog /var/lib/suck/suck.killlog
fi

%preun
if [ "$1" = 0 ]; then
  # Remove current killfile log, or rpm -e will complain dir isn't empty
  rm -f /var/lib/suck/suck.killlog*
fi

%postun
if [ "$1" = 0 ]; then
  # Remove suck error logs
  rm -f /var/log/suck.errlog*
  # Remove any old killfile logs rotated to /var/log
  rm -f /var/log/suck.killlog*
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc CHANGELOG CONTENTS
%attr(-,root,root) %doc README README.Gui README.Xover sample/
%attr(775,news,news) %dir /var/lib/suck
%attr(-,root,root) %config /etc/logrotate.d/suck
%attr(-,news,news) %config /var/lib/suck/get.news.inn
%attr(-,news,news) %config /var/lib/suck/put.news
%attr(-,news,news) %config /var/lib/suck/suckkillfile
%attr(-,news,news) %config /var/lib/suck/sucknewsrc
%attr(-,root,root) /usr/bin/suck
%attr(-,root,root) /usr/bin/rpost
%attr(-,root,root) /usr/bin/testhost
%attr(-,root,root) /usr/bin/lmove
%attr(-,root,root) /usr/man/man1/suck.1
%attr(-,root,root) /usr/man/man1/rpost.1
%attr(-,root,root) /usr/man/man1/testhost.1
%attr(-,root,root) /usr/man/man1/lmove.1
